<template>
    <div class='temperature-turnControl'>
        <div class='c-333 c-f14 bgc-fff p15'>
            <div>请设置目标湿度值:</div>
            <div class='flex f_y_c mt20 pl15'>
                <van-slider button-size='30px' v-model="sd" @change="onChange" />
                <div class='ml15'>{{sd}}%</div>
            </div>
            <div class='mt20'>最后一次发送的湿度调整值为%</div>
            <div class='mt10 c-999'>指令发送成功后，请等待设备生效，设备每隔十分钟左右会返回一次最新实时湿度值</div>
            <div class='flex mt20'>
                <div class='c-t-center' style='flex:1'>
                    <van-button class='w100 c-border-r-5' type="info" @click="confirm">确认</van-button>
                </div>
                <div class='c-t-center' style='flex:1'>
                    <van-button class='bgc-ccc w100 c-border-r-5' style='border:0' type="info" @click="cancel">取消</van-button>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
export default{
    name: 'temperature-turnControl',
    data(){
        return {
            model: 0,
            sd: '',
        }
    },
    watch:{
        model(){
            this.sd = ''
        }
    },
    methods:{
        confirm(){
            this.goBack();
        },
        cancel(){
            this.goBack();
        }
    },
    created(){
        
    }
}
</script>
<style scoped lang='scss'>
.temperature-turnControl{

}
</style>